Unverified Commit 7fe4c5e8 authored by Andrey Azov's avatar Andrey Azov Committed by GitHub
Browse files

Update dependencies (#219)

- Update file-loader to version 5.0.2
- Remove @types/storybook__react (@storybook/react has its own type definitions now)
- Update other dependencies
parent 7551f520
Pipeline #51929 passed with stages
in 4 minutes and 47 seconds
This diff is collapsed.
......@@ -50,10 +50,10 @@
}
},
"dependencies": {
"@sentry/browser": "5.10.1",
"@sentry/browser": "5.10.2",
"classnames": "2.2.6",
"connected-react-router": "6.6.1",
"core-js": "3.4.7",
"core-js": "3.6.0",
"dotenv": "8.2.0",
"ensembl-genome-browser": "https://raw.githubusercontent.com/Ensembl/ensembl-genome-browser-assets/master/assets-80f51620ed443c640cdfd6b5aebd505b.tar.gz",
"koa-proxy": "1.0.0-alpha.3",
......@@ -77,56 +77,55 @@
"what-input": "5.2.6"
},
"devDependencies": {
"@babel/core": "7.7.5",
"@babel/core": "7.7.7",
"@babel/plugin-proposal-class-properties": "7.7.4",
"@babel/plugin-proposal-nullish-coalescing-operator": "7.7.4",
"@babel/plugin-proposal-object-rest-spread": "7.7.4",
"@babel/plugin-proposal-object-rest-spread": "7.7.7",
"@babel/plugin-proposal-optional-chaining": "7.7.5",
"@babel/plugin-syntax-dynamic-import": "7.7.4",
"@babel/plugin-transform-modules-commonjs": "7.7.5",
"@babel/preset-env": "7.7.5",
"@babel/preset-env": "7.7.7",
"@babel/preset-react": "7.7.4",
"@babel/preset-typescript": "7.7.4",
"@babel/preset-typescript": "7.7.7",
"@storybook/addon-actions": "5.2.8",
"@storybook/addon-notes": "5.2.8",
"@storybook/react": "5.2.8",
"@svgr/webpack": "4.3.3",
"@svgr/webpack": "5.0.0",
"@types/classnames": "2.2.9",
"@types/enzyme": "3.10.3",
"@types/enzyme": "3.10.4",
"@types/enzyme-adapter-react-16": "1.0.5",
"@types/faker": "4.1.8",
"@types/jest": "24.0.23",
"@types/jest": "24.0.24",
"@types/lodash": "4.14.149",
"@types/node": "12.12.14",
"@types/node": "12.12.21",
"@types/prettier": "1.19.0",
"@types/react": "16.9.15",
"@types/react": "16.9.17",
"@types/react-dom": "16.9.4",
"@types/react-redux": "7.1.5",
"@types/react-router-dom": "5.1.3",
"@types/react-router-hash-link": "1.2.1",
"@types/redux-mock-store": "1.0.1",
"@types/storybook__react": "4.0.2",
"@types/webpack-env": "1.14.1",
"@typescript-eslint/eslint-plugin": "2.10.0",
"@typescript-eslint/parser": "2.10.0",
"@typescript-eslint/eslint-plugin": "2.12.0",
"@typescript-eslint/parser": "2.12.0",
"babel-core": "7.0.0-bridge.0",
"babel-jest": "24.9.0",
"babel-loader": "8.0.6",
"brotli-webpack-plugin": "1.1.0",
"compression-webpack-plugin": "3.0.0",
"compression-webpack-plugin": "3.0.1",
"connect-history-api-fallback": "1.6.0",
"copy-webpack-plugin": "5.0.5",
"css-loader": "3.2.1",
"enzyme": "3.10.0",
"enzyme-adapter-react-16": "1.15.1",
"copy-webpack-plugin": "5.1.1",
"css-loader": "3.4.0",
"enzyme": "3.11.0",
"enzyme-adapter-react-16": "1.15.2",
"enzyme-to-json": "3.4.3",
"eslint": "6.7.2",
"eslint": "6.8.0",
"eslint-config-prettier": "6.7.0",
"eslint-plugin-prettier": "3.1.1",
"eslint-plugin-prettier": "3.1.2",
"eslint-plugin-react": "7.17.0",
"eslint-plugin-react-hooks": "2.3.0",
"faker": "4.1.0",
"file-loader": "4.2.0",
"file-loader": "5.0.2",
"fork-ts-checker-webpack-plugin": "3.1.1",
"gh-pages": "2.1.1",
"html-webpack-plugin": "3.2.0",
......@@ -134,34 +133,34 @@
"identity-obj-proxy": "3.0.0",
"image-webpack-loader": "6.0.0",
"jest": "24.9.0",
"jest-fetch-mock": "2.1.2",
"jest-fetch-mock": "3.0.0",
"jest-transform-stub": "2.0.0",
"koa": "2.11.0",
"koa-connect": "2.0.1",
"koa-static": "5.0.0",
"lint-staged": "9.5.0",
"mini-css-extract-plugin": "0.8.0",
"mini-css-extract-plugin": "0.9.0",
"node-sass": "4.13.0",
"optimize-css-assets-webpack-plugin": "5.0.3",
"postcss-loader": "3.0.0",
"postcss-preset-env": "6.7.0",
"prettier": "1.19.1",
"redux-mock-store": "1.5.3",
"redux-mock-store": "1.5.4",
"rimraf": "3.0.0",
"robotstxt-webpack-plugin": "7.0.0",
"sass-loader": "8.0.0",
"source-map-loader": "0.2.4",
"style-loader": "1.0.1",
"style-loader": "1.1.1",
"stylelint": "12.0.0",
"stylelint-config-recommended-scss": "4.1.0",
"stylelint-scss": "3.13.0",
"stylelint-webpack-plugin": "1.1.2",
"terser-webpack-plugin": "2.2.2",
"typescript": "3.7.3",
"webpack": "4.41.2",
"terser-webpack-plugin": "2.3.1",
"typescript": "3.7.4",
"webpack": "4.41.4",
"webpack-bundle-analyzer": "3.6.0",
"webpack-cli": "3.3.10",
"webpack-dev-server": "3.9.0",
"webpack-dev-server": "3.10.1",
"webpack-merge": "4.2.2",
"workbox-webpack-plugin": "4.3.1"
},
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment